driver = oracle

connect = ora_base=/oracle ora_home=/oracle/product/10.2.0 ora_tnsadmin=/oracle/product/10.2.0 ora_sid=kaitos ora_nlslang=AMERICAN_AMERICA.AL32UTF8 ora_dblogin=mailsvc/megapazzwort

password_query = \
  SELECT "username" as username, \
         "realm" as domain, \
         lower(dbms_crypto.hash(utl_raw.cast_to_raw("password"), 2)) as password \
  FROM "authreg" WHERE "username" = '%n' AND ("realm" = '%d' or '%d' is null)

user_query = \
  SELECT home, uid, gid \
  FROM users WHERE username = '%n' AND domain = '%d'
